﻿using Connected.ServiceModel;

namespace Connected.Validation;

internal class ValidationServiceProvider : IServiceProvider
{
	public ValidationServiceProvider(IContext context)
	{
		Context = context;
	}

	private IContext? Context { get; }

	public object? GetService(Type serviceType)
	{
		if (Context is null)
			return null;

		return Context.GetService(serviceType);
	}
}
