﻿using Connected.Annotations;
using Connected.Net.Server;
using Microsoft.Extensions.DependencyInjection;

[assembly: MicroService(MicroServiceType.Sys)]

namespace Connected.Net;

internal class NetStartup : Startup
{
	protected override void OnConfigureServices(IServiceCollection services)
	{
		services.AddSingleton(typeof(IEndpointServer), typeof(EndpointServer));
		services.AddSingleton(typeof(IHttpService), typeof(HttpService));
	}
}
